def my_divide(a, b):
    if b == 0:
        raise ZeroDivisionError
    else:
        return a/b

def list_divide(numerators, denomenators):
    ratio=[]
    for a,b in zip(numerators, denomenators):
        print(f"dividing {a} by {b}")
        try:
            ratio.append(my_divide(a,b))
        except ZeroDivisionError:
            print("division by zero, skipping")
            continue
    return ratio

list_divide([1,2,1,0], [1,1,0,2])
