def BMI(weight, height):
    if weight <=0 or height <= 0 :
        raise ValueError("BMI handles only positive values")
    print("Computing BMI")
    return weight / (height * height)

def get_BMI_from_user():
    while True:  # keep asking until valid entry is obtained
        try:
            w = int(input("Please enter weight "))
            h = int(input("Please enter height "))
        except ValueError: # exception raised from int()
            print("Please only enter integers")
        else:
            try:
                bmi = BMI(w,h)
                print("Thank you!")
                break  # stop asking, break out of the loop
            except ValueError: # excepion raised from BMI()
                print("Error calculating BMI")        
    return bmi

myBMI = get_BMI_from_user()
