import math
# standard printing
print('pi is',math.pi)

# printing using formatted strings
print(f'pi is {math.pi}')
print(f'pi is approx. {math.pi:.3f}') # to round to 3 decimals

grades = {'Sjoerd': 8, 'Jack': 74, 'Annie': 100}
for name, grade in grades.items():
    # prints name over 10 characters, and grade over 5
    print(f'{name:10} ==> {grade:5d}')

#output:
# pi is 3.141592653589793
# pi is 3.141592653589793
# pi is approx. 3.142
# Sjoerd     ==>     8
# Jack       ==>    74
# Annie      ==>   100
