firstNames = ['Amol','Ahmed','Ayana']
lastNames = ['Prakash','ElKhoury','Jones']
# without the zip function, assembling full names
# is a bit complicated
fullNames = []
for index in range(0,len(firstNames)):
    fullNames.append(firstNames[index]+" "+lastNames[index])
print(fullNames)
# or
fullNames = []
for index,first in enumerate(firstNames):
    fullNames.append(first + " " + lastNames[index])
print(fullNames)
# This is easier to do with the zip function
fullNames = []
for first,last in zip(firstNames, lastNames):
    fullNames.append(first + " " + last)
print(fullNames)
#output:
# ['Amol Prakash', 'Ahmed ElKhoury', 'Ayana Jones']